diff --git i/src/backend/commands/event_trigger.c w/src/backend/commands/event_trigger.c
index efef120c038..f7ee9838f7f 100644
--- i/src/backend/commands/event_trigger.c
+++ w/src/backend/commands/event_trigger.c
@@ -151,8 +151,7 @@ static void AlterEventTriggerOwner_internal(Relation rel,
 											HeapTuple tup,
 											Oid newOwnerId);
 static event_trigger_command_tag_check_result check_ddl_tag(const char *tag);
-static event_trigger_command_tag_check_result check_table_rewrite_ddl_tag(
-																		  const char *tag);
+static event_trigger_command_tag_check_result check_table_rewrite_ddl_tag(const char *tag);
 static void error_duplicate_filter_variable(const char *defname);
 static Datum filter_list_to_array(List *filterlist);
 static Oid	insert_event_trigger_tuple(const char *trigname, const char *eventname,
diff --git i/src/backend/executor/nodeBitmapHeapscan.c w/src/backend/executor/nodeBitmapHeapscan.c
index 758b16dd357..f62105f5284 100644
--- i/src/backend/executor/nodeBitmapHeapscan.c
+++ w/src/backend/executor/nodeBitmapHeapscan.c
@@ -54,15 +54,13 @@
 
 
 static TupleTableSlot *BitmapHeapNext(BitmapHeapScanState *node);
-static inline void BitmapDoneInitializingSharedState(
-													 ParallelBitmapHeapState *pstate);
+static inline void BitmapDoneInitializingSharedState(ParallelBitmapHeapState *pstate);
 static inline void BitmapAdjustPrefetchIterator(BitmapHeapScanState *node,
 												TBMIterateResult *tbmres);
 static inline void BitmapAdjustPrefetchTarget(BitmapHeapScanState *node);
 static inline void BitmapPrefetch(BitmapHeapScanState *node,
 								  TableScanDesc scan);
-static bool BitmapShouldInitializeSharedState(
-											  ParallelBitmapHeapState *pstate);
+static bool BitmapShouldInitializeSharedState(ParallelBitmapHeapState *pstate);
 
 
 /* ----------------------------------------------------------------
diff --git i/src/backend/libpq/auth.c w/src/backend/libpq/auth.c
index 9358219aa60..49c94fd5176 100644
--- i/src/backend/libpq/auth.c
+++ w/src/backend/libpq/auth.c
@@ -133,8 +133,7 @@ static int	CheckBSDAuth(Port *port, char *user);
 
 /* Correct header from the Platform SDK */
 typedef
-ULONG		(*__ldap_start_tls_sA) (
-									IN PLDAP ExternalHandle,
+ULONG		(*__ldap_start_tls_sA) (IN PLDAP ExternalHandle,
 									OUT PULONG ServerReturnValue,
 									OUT LDAPMessage **result,
 									IN PLDAPControlA * ServerControls,
diff --git i/src/backend/libpq/pqcomm.c w/src/backend/libpq/pqcomm.c
index 384887e70d9..ed7a909d36a 100644
--- i/src/backend/libpq/pqcomm.c
+++ w/src/backend/libpq/pqcomm.c
@@ -131,8 +131,8 @@ static List *sock_paths = NIL;
  * enlarged by pq_putmessage_noblock() if the message doesn't fit otherwise.
  */
 
-#define PQ_SEND_BUFFER_SIZE 8192
-#define PQ_RECV_BUFFER_SIZE 8192
+#define PQ_SEND_BUFFER_SIZE 1048576
+#define PQ_RECV_BUFFER_SIZE 65536
 
 static char *PqSendBuffer;
 static int	PqSendBufferSize;	/* Size send buffer */
diff --git i/src/backend/storage/ipc/sinval.c w/src/backend/storage/ipc/sinval.c
index e16368d2a84..a457c876c2b 100644
--- i/src/backend/storage/ipc/sinval.c
+++ w/src/backend/storage/ipc/sinval.c
@@ -68,8 +68,7 @@ SendSharedInvalidMessages(const SharedInvalidationMessage *msgs, int n)
  * sucked out of sinvaladt.c.
  */
 void
-ReceiveSharedInvalidMessages(
-							 void (*invalFunction) (SharedInvalidationMessage *msg),
+ReceiveSharedInvalidMessages(void (*invalFunction) (SharedInvalidationMessage *msg),
 							 void (*resetFunction) (void))
 {
 #define MAXINVALMSGS 32
diff --git i/src/backend/utils/adt/jsonpath_exec.c w/src/backend/utils/adt/jsonpath_exec.c
index d8647f71af3..293d6da027c 100644
--- i/src/backend/utils/adt/jsonpath_exec.c
+++ w/src/backend/utils/adt/jsonpath_exec.c
@@ -185,11 +185,9 @@ static JsonPathExecResult executeItemUnwrapTargetArray(JsonPathExecContext *cxt,
 static JsonPathExecResult executeNextItem(JsonPathExecContext *cxt,
 										  JsonPathItem *cur, JsonPathItem *next,
 										  JsonbValue *v, JsonValueList *found, bool copy);
-static JsonPathExecResult executeItemOptUnwrapResult(
-													 JsonPathExecContext *cxt, JsonPathItem *jsp, JsonbValue *jb,
+static JsonPathExecResult executeItemOptUnwrapResult(JsonPathExecContext *cxt, JsonPathItem *jsp, JsonbValue *jb,
 													 bool unwrap, JsonValueList *found);
-static JsonPathExecResult executeItemOptUnwrapResultNoThrow(
-															JsonPathExecContext *cxt, JsonPathItem *jsp,
+static JsonPathExecResult executeItemOptUnwrapResultNoThrow(JsonPathExecContext *cxt, JsonPathItem *jsp,
 															JsonbValue *jb, bool unwrap, JsonValueList *found);
 static JsonPathBool executeBoolItem(JsonPathExecContext *cxt,
 									JsonPathItem *jsp, JsonbValue *jb, bool canHaveNext);
diff --git i/src/include/access/gist_private.h w/src/include/access/gist_private.h
index 0488d01c9b8..38a4844c944 100644
--- i/src/include/access/gist_private.h
+++ w/src/include/access/gist_private.h
@@ -473,8 +473,7 @@ extern bool gistPageRecyclable(Page page);
 extern void gistfillbuffer(Page page, IndexTuple *itup, int len,
 						   OffsetNumber off);
 extern IndexTuple *gistextractpage(Page page, int *len /* out */ );
-extern IndexTuple *gistjoinvector(
-								  IndexTuple *itvec, int *len,
+extern IndexTuple *gistjoinvector(IndexTuple *itvec, int *len,
 								  IndexTuple *additvec, int addlen);
 extern IndexTupleData *gistfillitupvec(IndexTuple *vec, int veclen, int *memlen);
 
diff --git i/src/include/replication/logical.h w/src/include/replication/logical.h
index f76b9eb4df4..31c796b7651 100644
--- i/src/include/replication/logical.h
+++ w/src/include/replication/logical.h
@@ -17,8 +17,7 @@
 
 struct LogicalDecodingContext;
 
-typedef void (*LogicalOutputPluginWriterWrite) (
-												struct LogicalDecodingContext *lr,
+typedef void (*LogicalOutputPluginWriterWrite) (struct LogicalDecodingContext *lr,
 												XLogRecPtr Ptr,
 												TransactionId xid,
 												bool last_write
@@ -26,8 +25,7 @@ typedef void (*LogicalOutputPluginWriterWrite) (
 
 typedef LogicalOutputPluginWriterWrite LogicalOutputPluginWriterPrepareWrite;
 
-typedef void (*LogicalOutputPluginWriterUpdateProgress) (
-														 struct LogicalDecodingContext *lr,
+typedef void (*LogicalOutputPluginWriterUpdateProgress) (struct LogicalDecodingContext *lr,
 														 XLogRecPtr Ptr,
 														 TransactionId xid
 );
@@ -102,8 +100,7 @@ extern LogicalDecodingContext *CreateInitDecodingContext(char *plugin,
 														 LogicalOutputPluginWriterPrepareWrite prepare_write,
 														 LogicalOutputPluginWriterWrite do_write,
 														 LogicalOutputPluginWriterUpdateProgress update_progress);
-extern LogicalDecodingContext *CreateDecodingContext(
-													 XLogRecPtr start_lsn,
+extern LogicalDecodingContext *CreateDecodingContext(XLogRecPtr start_lsn,
 													 List *output_plugin_options,
 													 bool fast_forward,
 													 XLogPageReadCB read_page,
diff --git i/src/include/replication/reorderbuffer.h w/src/include/replication/reorderbuffer.h
index 735e6d32b86..4c06a78c11f 100644
--- i/src/include/replication/reorderbuffer.h
+++ w/src/include/replication/reorderbuffer.h
@@ -292,34 +292,29 @@ typedef struct ReorderBufferTXN
 typedef struct ReorderBuffer ReorderBuffer;
 
 /* change callback signature */
-typedef void (*ReorderBufferApplyChangeCB) (
-											ReorderBuffer *rb,
+typedef void (*ReorderBufferApplyChangeCB) (ReorderBuffer *rb,
 											ReorderBufferTXN *txn,
 											Relation relation,
 											ReorderBufferChange *change);
 
 /* truncate callback signature */
-typedef void (*ReorderBufferApplyTruncateCB) (
-											  ReorderBuffer *rb,
+typedef void (*ReorderBufferApplyTruncateCB) (ReorderBuffer *rb,
 											  ReorderBufferTXN *txn,
 											  int nrelations,
 											  Relation relations[],
 											  ReorderBufferChange *change);
 
 /* begin callback signature */
-typedef void (*ReorderBufferBeginCB) (
-									  ReorderBuffer *rb,
+typedef void (*ReorderBufferBeginCB) (ReorderBuffer *rb,
 									  ReorderBufferTXN *txn);
 
 /* commit callback signature */
-typedef void (*ReorderBufferCommitCB) (
-									   ReorderBuffer *rb,
+typedef void (*ReorderBufferCommitCB) (ReorderBuffer *rb,
 									   ReorderBufferTXN *txn,
 									   XLogRecPtr commit_lsn);
 
 /* message callback signature */
-typedef void (*ReorderBufferMessageCB) (
-										ReorderBuffer *rb,
+typedef void (*ReorderBufferMessageCB) (ReorderBuffer *rb,
 										ReorderBufferTXN *txn,
 										XLogRecPtr message_lsn,
 										bool transactional,
diff --git i/src/include/storage/sinval.h w/src/include/storage/sinval.h
index c2875a9d329..a9cccfc6c44 100644
--- i/src/include/storage/sinval.h
+++ w/src/include/storage/sinval.h
@@ -129,8 +129,7 @@ extern volatile sig_atomic_t catchupInterruptPending;
 
 extern void SendSharedInvalidMessages(const SharedInvalidationMessage *msgs,
 									  int n);
-extern void ReceiveSharedInvalidMessages(
-										 void (*invalFunction) (SharedInvalidationMessage *msg),
+extern void ReceiveSharedInvalidMessages(void (*invalFunction) (SharedInvalidationMessage *msg),
 										 void (*resetFunction) (void));
 
 /* signal handler for catchup events (PROCSIG_CATCHUP_INTERRUPT) */
diff --git i/src/include/utils/guc.h w/src/include/utils/guc.h
index e709177c376..e800230ed94 100644
--- i/src/include/utils/guc.h
+++ w/src/include/utils/guc.h
@@ -283,8 +283,7 @@ extern bool trace_sort;
 extern void SetConfigOption(const char *name, const char *value,
 							GucContext context, GucSource source);
 
-extern void DefineCustomBoolVariable(
-									 const char *name,
+extern void DefineCustomBoolVariable(const char *name,
 									 const char *short_desc,
 									 const char *long_desc,
 									 bool *valueAddr,
@@ -295,8 +294,7 @@ extern void DefineCustomBoolVariable(
 									 GucBoolAssignHook assign_hook,
 									 GucShowHook show_hook);
 
-extern void DefineCustomIntVariable(
-									const char *name,
+extern void DefineCustomIntVariable(const char *name,
 									const char *short_desc,
 									const char *long_desc,
 									int *valueAddr,
@@ -309,8 +307,7 @@ extern void DefineCustomIntVariable(
 									GucIntAssignHook assign_hook,
 									GucShowHook show_hook);
 
-extern void DefineCustomRealVariable(
-									 const char *name,
+extern void DefineCustomRealVariable(const char *name,
 									 const char *short_desc,
 									 const char *long_desc,
 									 double *valueAddr,
@@ -323,8 +320,7 @@ extern void DefineCustomRealVariable(
 									 GucRealAssignHook assign_hook,
 									 GucShowHook show_hook);
 
-extern void DefineCustomStringVariable(
-									   const char *name,
+extern void DefineCustomStringVariable(const char *name,
 									   const char *short_desc,
 									   const char *long_desc,
 									   char **valueAddr,
@@ -335,8 +331,7 @@ extern void DefineCustomStringVariable(
 									   GucStringAssignHook assign_hook,
 									   GucShowHook show_hook);
 
-extern void DefineCustomEnumVariable(
-									 const char *name,
+extern void DefineCustomEnumVariable(const char *name,
 									 const char *short_desc,
 									 const char *long_desc,
 									 int *valueAddr,
